'use strict';

const postIds = [1, 2, 7, 12, 44, 138],
  postTitles = [
    'Hello World',
    'Hello JavaScript',
    'Hello Arrays'
  ];

// console.group( 'Object.seal( postIds )' );
//
// // Seal Object
// // Allows changing item value in array
// // Does not allow adding or removing
// Object.seal( postIds );
// console.log( 'Is sealed:', Object.isSealed( postIds ) );
//
//
// // Allowed to change values of items when sealed
// postIds[0] = 4;
// console.log( 'Change first ID from 1 to 4', postIds );
//
// console.error( 'Not allowed to .push() or .pop() if sealed' );
// postIds.push( 1 );
// postIds.pop();
//
// console.groupEnd();


console.group( 'Object.freeze( postIds )' );

// Freeze Object
// Does not allow changing item value in array
// Does not allow adding or removing
Object.freeze( postIds );
console.log( 'Is frozen', Object.isFrozen( postIds ) );

// console.error( 'Not allowed to change values of items when sealed' );
// postIds[0] = 4;
// console.log( postIds );

console.error( 'Not allowed to .push() or .pop() if sealed' );
postIds.push( 1 );
postIds.pop();

console.groupEnd();
